/*
 * Wrappers to part of the ifp API that take kernel-friendly args.
 * $Id: ifp_dentry.h,v 1.2 2004/09/27 18:01:03 oakhamg Exp $
 *
 * Copyright (C) Geoff Oakham, 2004; <oakhamg@users.sourceforge.net>
 */

#ifndef IFP_DENTRY_H
#define IFP_DENTRY_H 1

//Convience functions  -- these should form an ifp API for the kernel.
//wrappers for the ifp-primatives.  Eventually, these could be replaced
//with task-oriented functions.
int ifp_file_open_d(struct ifp_device * dev, struct dentry * d);
int ifp_file_open_new_d(struct ifp_device * dev, struct dentry * d, int filesize);
int ifp_dir_open_d(struct ifp_device * dev, struct dentry * d);

//utility -- to be removed later.
int make_path_string(struct dentry * target, struct dentry * root,
	char separator, char * out, int maxlen);

//wrappers around stand-alone primatives.  By "stand-alone" I mean they're
//atomic in that they don't create special states that have to be cleaned up.
int ifp_delete_d(struct ifp_device * dev, struct dentry * d);
int ifp_mkdir_d(struct ifp_device * dev, struct dentry * d);
int ifp_rmdir_d(struct ifp_device * dev, struct dentry * d);

int ifp_read_open_d(struct ifp_device * dev, struct dentry * d);
int ifp_write_open_d(struct ifp_device * dev, struct dentry * d, int fsize);

int ifp_rename_d(struct ifp_device * dev,
	struct dentry * old_file, struct dentry * new_file);

int ifp_list_dirs_d(struct ifp_device * dev, struct dentry * dentry,
	int(*callbk)(void *, int, char *, int, int),
	void * context);

int ifp_count_subdirs_d(struct ifp_device * dev, struct dentry * dentry);

#endif // IFP_DENTRY_H

